Loading...
Searching...
No Matches
half.h File Reference

Implementation of half-precision floating point values. More...

`#include <cstdint>`
Include dependency graph for half.h:

## Classes

struct | Math::half
| half-precision floating point type More...

## Namespaces

namespace | Math
| Namespace for (new) math code.

## Functions

uint16_t | Math::FloatToHalf (float value)
| Converts float to half-float.
float | Math::HaltToFloat (uint16_t value)
| Converts half-float to float.

## Detailed Description

Implementation of half-precision floating point values.